Bug 1256015 - Unable to convert epub to mobi - update requested
Unable to convert epub to mobi - update requested
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
22
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-23 06:01 EDT by Mattia Verga
Modified: 2015-10-01 12:02 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.35.0-1.fc22.1 calibre-2.35.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 12:02:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattia Verga 2015-08-23 06:01:01 EDT
Description of problem:
After recent updates (not sure exactly when, it used to work a month ago) of KDE platform, calibre is no more able to convert an epub to mobi.

The details says 'This application failed to start because it could not find or load the Qt platform plugin "headless"'.


The same bug on ArchLinux (https://bugs.archlinux.org/task/45612) was resolved by updating to 2.32. Is it possible to update at least to calibre 2.32 also in F22 (I see in F23 is available version 2.33).

Thanks.
Comment 1 Kevin Fenzi 2015-08-23 13:46:54 EDT
Can you test this scratch build: 

https://koji.fedoraproject.org/koji/taskinfo?taskID=10798367

Thanks.
Comment 2 Mattia Verga 2015-08-24 03:33:15 EDT
Tested, it works fine and resolves the bug.

Thanks.
Comment 3 Fedora Update System 2015-08-24 12:38:09 EDT
calibre-2.35.0-1.fc23 has been submitted as an update to Fedora 23. <bound method Update.abs_url of <Update {'close_bugs': True, 'old_updateid': None, 'pushed': False, 'require_testcases': True, 'critpath': False, 'date_approved': None, 'stable_karma': 3, 'date_pushed': None, 'requirements': u'', 'severity': u'unspecified', 'title': u'calibre-2.35.0-1.fc23', 'suggest': u'unspecified', 'require_bugs': True, 'comments': [{'bug_feedback': [], 'user_id': 91, 'text': u'This update has been submitted for testing by kevin. ', 'testcase_feedback': [], 'karma_critpath': 0, 'update': 37434, 'update_id': 37434, 'karma': 0, 'anonymous': False, 'timestamp': '2015-08-24 16:16:31', 'id': 314514, 'user': {'stacks': [], 'buildroot_overrides': [], 'name': u'bodhi', 'avatar': None}}, {'bug_feedback': [], 'user_id': 91, 'text': u'kevin edited this update. ', 'testcase_feedback': [], 'karma_critpath': 0, 'update': 37434, 'update_id': 37434, 'karma': 0, 'anonymous': False, 'timestamp': '2015-08-24 16:37:47', 'id': 314519, 'user': {'stacks': [], 'buildroot_overrides': [], 'name': u'bodhi', 'avatar': None}}], 'updateid': u'FEDORA-2015-14130', 'cves': [], 'type': u'bugfix', 'status': u'pending', 'date_submitted': '2015-08-24 16:16:31', 'unstable_karma': -3, 'submitter': u'kevin', 'user': {'stacks': [], 'buildroot_overrides': [], 'name': u'kevin', 'avatar': None}, 'locked': False, 'builds': [{'override': None, 'nvr': u'calibre-2.35.0-1.fc23'}], 'date_modified': None, 'test_cases': [], 'notes': u'Update to 2.35.0. Fixes bug #1253863', 'request': u'testing', 'bugs': [{'bug_id': 1253863, 'security': False, 'feedback': [], 'parent': False, 'title': u'calibre-v2.35.0 is available'}, {'bug_id': 1256015, 'security': False, 'feedback': [], 'parent': False, 'title': u'Unable to convert epub to mobi - update requested'}], 'alias': u'FEDORA-2015-14130', 'karma': 0, 'release': {'dist_tag': u'f23', 'name': u'F23', 'testing_tag': u'f23-updates-testing', 'pending_stable_tag': u'f23-updates-pending', 'long_name': u'Fedora 23', 'state': u'pending', 'version': u'23', 'override_tag': u'f23-override', 'branch': u'f23', 'id_prefix': u'FEDORA', 'pending_testing_tag': u'f23-updates-testing-pending', 'stable_tag': u'f23-updates', 'candidate_tag': u'f23-updates-candidate'}}>>
Comment 4 Fedora Update System 2015-08-24 13:57:35 EDT
calibre-2.35.0-1.fc22 has been submitted as an update to Fedora 22. https://bugzilla.redhat.com/show_bug.cgi?id=1256015
Comment 5 Fedora Update System 2015-08-24 17:54:07 EDT
calibre-2.35.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update calibre'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14144
Comment 6 Fedora Update System 2015-08-24 17:56:55 EDT
calibre-2.35.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update calibre'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14130
Comment 7 Fedora Update System 2015-08-25 12:22:32 EDT
calibre-2.35.0-1.fc22.1 python-qt5-5.5-1.fc22 PyQt4-4.11.4-1.fc22 sip-4.16.9-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14262
Comment 8 Fedora Update System 2015-08-26 13:27:02 EDT
PyQt4-4.11.4-1.fc22, calibre-2.35.0-1.fc22.1, python-qt5-5.5-1.fc22, sip-4.16.9-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update sip PyQt4 python-qt5 calibre'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14262
Comment 9 Fedora Update System 2015-09-01 08:18:56 EDT
PyQt4-4.11.4-1.fc22, calibre-2.35.0-1.fc22.1, python-qt5-5.5-1.fc22, sip-4.16.9-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-09-24 14:13:12 EDT
calibre-2.35.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16633
Comment 11 Fedora Update System 2015-09-25 12:32:16 EDT
calibre-2.35.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update calibre'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16633
Comment 12 Fedora Update System 2015-10-01 12:02:35 EDT
calibre-2.35.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.